:root {
  --primary-color: #2272ff;
  --transparent-bg: rgba(34, 114, 255, 0.05);
  --primary-color-dark: #1361e9;
  --black: #1b1b1b;
  --header-h: 26px;
  /* Header height */
  --nav-h: 65px;
  /* Navbar height */
  --br-xs: 6px;
  --br-sm: 8px;
  --br-lg: 16px;
  --gap-xs: 4px;
  --gap-sm: 8px;
  --gap-md: 12px;
  --gap-lg: 16px;
  --gap-xl: 20px;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: Verdana, Arial, Helvetica, sans-serif;
  text-decoration: none;
  scrollbar-width: thin;
}

*::before,
*::after {
  box-sizing: border-box;
}

input[type="checkbox"] {
  height: 20px;
  width: 20px;
  accent-color: var(--primary-color);
}

input[type="file"]::file-selector-button {
  border: none;
  padding: 5px 10px;
  border-radius: 5px;
  background-color: var(--primary-color);
  color: white;
  cursor: pointer;
}

input[type="file"]::file-selector-button:hover {
  background-color: var(--primary-color-dark);
}

main {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 36px;
  background-color: #2D25A7;
  min-height: 100vh;
  padding: 20px;
}

.welcome-section {
  align-content: center;
  color: #ffffffe8;
}

.welcome-section>* {
  text-align: center;
}

.welcome-section a {
  color: var(--primary-color);
}

.welcome-section span {
  color: var(--primary-color);
}

.sign-section {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.sign-form-container {
  width: clamp(350px, 30%, 600px);
  display: flex;
  flex-direction: column;
  gap: 28px;
  border: 2px solid #ddd;
  padding: 35px;
  border-radius: var(--br-lg);
  margin-inline: auto;
  background: white;
}

.sign-form-container h1 {
  font-size: 30px;
  line-height: 1;
  margin-left: 10px;
}

.sign-form-container h1:before {
  content: "";
  background-color: var(--primary-color);
  height: 30px;
  width: 3px;
  position: absolute;
  left: 0;
}

.sign-section form {
  display: flex;
  flex-direction: column;
  gap: 28px;
}

.sign-fields {
  display: flex;
  flex-direction: column;
  gap: var(--gap-sm);
  width: 100%;
}

.sign-section form a {
  font-size: 15px;
  color: var(--primary-color);
}

.sign-section input,
.sign-section button {
  padding: 8px;
  border-radius: var(--br-xs);
  border: 1px solid #ddd;
  outline: none;
  height: 40px;
}

.sign-section input:focus {
  border: 1px solid var(--primary-color);
  background-color: rgba(34, 114, 255, 0.05);
  transition: all 500ms ease;
}

.sign-section button {
  background-color: var(--primary-color);
  color: white;
  font-size: 15px;
  cursor: pointer;
  position: relative;
  border: none;
}

.sign-section button:hover {
  background-color: var(--primary-color-dark);
}

.text-btn-container {
  margin-inline: auto;
  width: fit-content;
}

.text-btn-container button {
  padding-inline: 18px;
}

/* START: Toast styles */
/* Container to handle toast position on screen */
.custom-toast-wrapper {
  position: fixed;
  top: 20px;
  right: 20px;
  z-index: 9999;
}

/* Toast Box */
.custom-toast {
  min-width: 250px;
  padding: 15px 20px;
  border-radius: 8px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
  font-family: sans-serif;
  color: white;
  animation: slideIn 0.3s ease-out;
}

/* classes for $toastClass */
.bg-success {
  background-color: #28a745;
}

.bg-danger {
  background-color: #dc3545;
}

.bg-info {
  background-color: #17a2b8;
}

.close-toast {
  background: none;
  border: none;
  color: white;
  font-size: 22px;
  cursor: pointer;
  margin-left: 15px;
  line-height: 1;
}

/* entrance animation */
@keyframes slideIn {
  from {
    transform: translateX(100%);
    opacity: 0;
  }

  to {
    transform: translateX(0);
    opacity: 1;
  }
}

/* END: Toast styles */